<?php
/***********************************************************************/

// Some info about your mod.
$mod_title      = 'Example Mod';
$mod_version    = '1.0';
$release_date   = 'YYYY-MM-DD';
$author         = 'Your name';
$author_email   = 'your_email@email.com';

// One or more versions of PunBB that this mod works on. The version names must match exactly!
$punbb_versions	= array('1.1');


// This following function will be called when the user presses the "Start install" button.
function install()
{
	global $db, $db_type, $pun_config;

	// DO MOD INSTALLATION HERE


/*	Here's an example showing how to run different queries depending on $db_type.
	NOTE: This is just an example! Replace it with whatever queries your mod needs to run.

	switch ($db_type)
	{
		case 'mysql':
			$db->query("ALTER TABLE ".$db->prefix."some_table ADD some_column TINYINT(1) NOT NULL DEFAULT 1") or error('Unable to add column "some_column" to table "some_table"', __FILE__, __LINE__, $db->error());
			break;

		default:
			$db->query('ALTER TABLE ".$db->prefix."some_table ADD some_column INT(10) NOT NULL DEFAULT 1') or error('Unable to add column "some_column" to table "some_table"', __FILE__, __LINE__, $db->error());
			break;
	}
*/
}

/***********************************************************************/

// DO NOT EDIT ANYTHING BELOW THIS LINE!


// Circumvent maintenance mode
define('PUN_TURN_OFF_MAINT', 1);

$pun_root = './';
require $pun_root.'include/common.php';

// We want the complete error message if the script fails
if (!defined('PUN_DEBUG'))
	define('PUN_DEBUG', 1);

// Make sure we are running a PunBB version that this mod works with
if(!in_array($pun_config['o_cur_version'], $punbb_versions))
	exit('You are running a version of PunBB that this mod does not support. This mod supports PunBB versions: '.implode(', ', $punbb_versions));

$style = (isset($cur_user)) ? $cur_user['style'] : $pun_config['o_default_style'];

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title><?php echo $mod_title ?> Installation</title>
<link rel="stylesheet" type="text/css" href="style/<?php echo $style.'.css' ?>">
</head>
<body>

<br><br><br><br>

<?php

if (isset($_POST['form_sent']))
{
	// Run the install function (defined above)
	install();

?>
<table class="punmain" style="width: 60%" align="center" cellspacing="1" cellpadding="4">
	<tr class="punhead">
		<td class="punhead">Installation successful</td>
	</tr>
	<tr>
		<td class="puncon2">
			<?php echo pun_htmlspecialchars($mod_title) ?> has been installed successfully. See readme.txt for further instructions.<br><br>
		</td>
	</tr>
</table>

</body>
</html>
<?php

	exit;
}
else
{

?>
<form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>?action=install">
	<input type="hidden" name="form_sent" value="1">
	<table class="punmain" style="width: 60%" align="center" cellspacing="1" cellpadding="4">
		<tr class="punhead">
			<td class="punhead">Mod installation</td>
		</tr>
		<tr>
			<td class="puncon2">
				This script will install the following modification:<br><br>
				<b>Mod title:</b> <?php echo pun_htmlspecialchars($mod_title).' '.$mod_version ?><br>
				<b>Author:</b> <?php echo pun_htmlspecialchars($author) ?> (<a href="mailto:<?php echo pun_htmlspecialchars($author_email) ?>"><?php echo pun_htmlspecialchars($author_email) ?></a>)<br><br>
				Click "Start install" to install this mod.<br><br>
				&nbsp;&nbsp;<input type="submit" name="start" value="Start install"><br><br>
				<b>Disclaimer:</b> Mods are not officially supported by PunBB. Mods generally can't be uninstalled without running SQL queries manually against the database. Make backups of all data you deem necessary before installing.<br><br>
			</td>
		</tr>
	</table>
</form>

</body>
</html>
<?php

}